Skip to main content
POST
/
notes
/
create
Create note
curl --request POST \
  --url https://api.openwhispr.com/api/v1/notes/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "title": "<string>",
  "enhanced_content": "<string>",
  "note_type": "personal",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "<string>",
    "client_note_id": "<string>",
    "title": "<string>",
    "content": "<string>",
    "enhanced_content": "<string>",
    "note_type": "personal",
    "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key starting with owk_live_

Body

application/json
content
string
required

The note body text.

title
string | null

Optional title.

enhanced_content
string | null

Cleaned or enhanced version.

note_type
enum<string>
default:personal

Type of note.

Available options:
personal,
meeting,
upload
folder_id
string<uuid> | null

Target folder ID.

Response

Created note.

data
object